<?php

class ControladorPlantilla{

	static public function ctrPlantilla(){

		include "vistas/plantilla.php";
		ControladorPlantilla::ctrCambiarEstadoCronograma();
	}	


	static public function ctrCambiarEstadoCronograma(){
		date_default_timezone_set("America/Lima");
		setlocale(LC_ALL, 'spanish');
		$tabla = "cronograma_pago";
		$fechaActual = date("Y-m-d H:i:s");

		$respuesta = ModeloCobros::mdlFechaVencido();
		
		foreach ($respuesta as $key => $value) {
			$tabla = "cronograma_pago";
			$fecha_actual = strtotime($fechaActual);
			$fecha_entrada = strtotime($value['fechas_pagos']);

			if($fecha_actual > $fecha_entrada){
					$idCronograma = $value['idcronograma_pago'];
			       	$res = ModeloCobros::mdlActualizarCronogramaVencidos($tabla, $idCronograma);
			       	//var_dump($res);

			}
		}
	}

	static public function ctrConfiguracion(){

		$respuesta = ModeloConfiguracion::mdlMostrarConfiguracion('configuracion');
		return $respuesta;
	}	

	public function ctrActualizarConf(){
		if( (isset($_POST['razon_social']) && !empty($_POST['razon_social'])) &&
			(isset($_POST['email']) && !empty($_POST['email'])) &&
			(isset($_POST['prefijo']) && !empty($_POST['prefijo'])) &&
			(isset($_POST['celular']) && !empty($_POST['celular'])) &&
			(isset($_POST['direccion']) && !empty($_POST['direccion'])) &&
			(isset($_POST['cambio']) && !empty($_POST['cambio'])) &&
			(isset($_POST['id']) && !empty($_POST['id'])) &&
			isset($_FILES['logo'])
		){
			$data["razon_social"] = $_POST['razon_social'];
			$data["email"] = $_POST['email'];
			$data["prefijo"] = $_POST['prefijo'];
			$data["celular"] = $_POST['celular'];
			$data["direccion"] = $_POST['direccion'];
			$data["cambio"] = $_POST['cambio'];
			$data["id"] = $_POST['id'];

			$ruta = "";

			$file = $_FILES['logo'];
			if(isset($file["tmp_name"])){
				$directorio ="vistas/img/configuracion/";
				
				$nombre= "logo.png"; //$file['name'];
				$guardado=$file['tmp_name'];  //$file["tmp_name"]

				if(!file_exists($directorio ))
					mkdir($directorio ,0777,true);

				if(file_exists($directorio))
					if(move_uploaded_file($guardado, $directorio.$nombre))
						$ruta = $directorio.$nombre;

			}
		

			$data["logo"] = $ruta;
			

			$respuesta = ModeloConfiguracion::mdlEditarConfiguracion($data);

			if($respuesta == "ok"){
				echo'<script>
				swal({
					  type: "success",
					  title: "Configuración actualizado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {
									window.location = "configuracion";
								}
							})
				</script>';
			} else {
				echo'<script>
					swal({
						type: "error",
						title: "¡Configuración no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {
								window.location = "configuracion";
							}
						})
				</script>';
			}
			
		}
	}


}